import personal from './personal'
import enterprise from './enterprise'
import recruit from './recruit'
import Layout from '@/layout'
import { setLoginType } from '@/utils/loginType'


const remainingRouter = [
  {
    path: '/login',
    component: () => import('@/views/login/index'),
    name: 'login',
    meta: {
      hidden: true,
      title: '登录/注册'
    }
  },
  {
    path: '/userAgreement',
    component: Layout,
    name: 'userAgreement',
    children: [
      {
        path: '/userAgreement',
        component: () => import('@/views/login/components/userAgreement.vue'),
        meta: {
          title: '用户协议'
        }
      }
    ]
  },
  {
    path: '/privacyPolicy',
    component: Layout,
    name: 'privacyPolicy',
    children: [
      {
        path: '/privacyPolicy',
        component: () => import('@/views/login/components/privacyPolicy.vue'),
        meta: {
          title: '隐私政策'
        }
      }
    ]
  },
  {
    path: '',
    redirect: '/entrances',
    children: [
      { path: '/', redirect: '/entrances' },
      {
        path: '/entrances',
        component: () => import('@/views/entrances/index'),
        meta: {
          title: '门墩儿应用中心'
        }
      }
    ]
  },
  {
    path: '/home',
    component: Layout,
    children: [
      { path: '/personal', redirect: '/home' }, 
      {
        path: '/home',
        component: () => import('@/views/recruit/personal/home'),
        meta: {
          title: '首页'
        }
      }
    ]
  },
  {
    path: '/mall',
    children: [
      {
        path: '/mall',
        component: () => import('@/views/mall/index'),
        meta: {
          title: '臻选商城'
        }
      }
    ]
  },
]

setLoginType(remainingRouter, 'noLogin')
setLoginType(recruit, 'noLogin')
setLoginType(personal, 'personal')
setLoginType(enterprise, 'enterprise')

const routeArray = [
  ...remainingRouter,
  ...recruit,
  ...personal,
  ...enterprise
]

export default routeArray